Skip to content

Download a Direct Data file.

GET/api/{version}/services/directdata/files/{name}
NameDescription
Acceptapplication/json (default)
NameDescription
{name}The name of the Direct Data file part. Obtain this from the Retrieve Available Direct Data Files request. For example, 146478-20240213-0000-F.001.
curl -X GET -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ https://myvault.veevavault.com/api/v24.1/services/directdata/files/146478-20240211-0000-N.001
Content-Type: application/octet-stream;charset=UTF-8 Content-Disposition: attachment; filename="146478-20240211-0000-N.tar.gz.001"

On SUCCESS, Vault downloads the requested Direct Data file. The file is named according to the following format: {vaultid}-{date}-{stoptime}-{type}.tar.gz.{filepart}.

Until the first Full file is generated, no Incremental files are available for download. The API may return the following standard error if an Incremental file is unavailable for download:

FAILURE: Initial file being generated. Please check again later.